Anonymous Login
2019-04-25 09:43 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001171v3.4 Release (Current)Core Infrastructurepublic2019-01-03 12:53
Reportercaseydk 
Assigned Tocaseydk 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0001171: Update password mechanism
DescriptionWe've used an unsalted md5 all along. For better security, we should upgrade to something better.. not sure which algorithm, but a salt + Hash would be a good:

http://www.php.net/manual/en/book.hash.php
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0003630

caseydk (administrator)

Going to use this:

https://packagist.org/packages/ircmaxell/password-compat

~0003734

caseydk (administrator)

Resolved on master instead of waiting for v4.0:

https://github.com/web2project/web2project/commit/3ecd4e039fefb69cba65aa1277451194737b6aa5

~0003914

caseydk (administrator)

In the 31 Dec 2018 release: http://docs.web2project.net/release-notes/3.4.html
+Notes

-Issue History
Date Modified Username Field Change
2012-08-05 16:49 caseydk New Issue
2014-04-07 23:29 caseydk Project Pending Requests => v3.2 Release
2014-04-07 23:29 caseydk Status new => resolved
2014-04-07 23:29 caseydk Resolution open => fixed
2014-04-07 23:29 caseydk Assigned To => caseydk
2014-04-13 18:51 caseydk Target Version => 3.2
2014-05-09 00:27 caseydk Category General => Core Infrastructure
2014-05-09 00:27 caseydk Description Updated View Revisions
2014-05-09 00:27 caseydk Status resolved => confirmed
2014-05-09 00:28 caseydk Project v3.2 Release => v4.0 Release (Planning)
2014-06-10 22:49 caseydk Target Version 3.2 => 4.0
2014-08-26 13:40 caseydk Note Added: 0003630
2014-12-30 22:38 caseydk Note Added: 0003734
2014-12-30 22:38 caseydk Project v4.0 Release (Planning) => v3.3 Release
2014-12-30 22:38 caseydk Status confirmed => resolved
2014-12-30 22:38 caseydk Fixed in Version => 3.3
2016-12-26 23:37 caseydk Project v3.3 Release => v3.4 Release (Current)
2019-01-03 12:53 caseydk Note Added: 0003914
2019-01-03 12:53 caseydk Status resolved => closed
+Issue History